Subject: Re: [Bcm43xx-dev] 30 bits DMA and ppc

From: Michael Buesch <[email-masked]>
Date: Sun, 30 Oct 2005 09:47:21 +0100

On Sunday 30 October 2005 05:03, Benjamin Herrenschmidt wrote:
[snip]
> However, the above would require arch specific hacks, and would only
> work for one card in the system (too bad if you plug a cardbus one).
[snap]

I think we should not need to modify the driver.
Drivers already set the DMA mask. As far as I can see, this mask
is currently (mostly) ignored on PPC and i386 (at least).
As far as I can see, PPC ignores it completely and i386 allocates in the
GFP_DMA region, if DMA is limited.
So I would say, it should be possible to use this mask
with some bounce buffers, as you suggested. That sounds like a good
solution to me. It's worth a try.

-- 
Greetings Michael.